%define name	libdvdcss
%define version	1.2.12
%define release	%mkrel 2
%define major	2
%define libname %mklibname dvdcss %{major}
%define develname %mklibname -d dvdcss

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Library for accessing DVDs as a block device using deCSS if needed
Source:		http://download.videolan.org/pub/%{name}/%{version}/%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/libdvdcss

%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

This package is in 'tainted' as it may violate patents in some countries.

%package -n %{libname}
Summary:	A library for accessing DVDs as a block device using deCSS if needed
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %{libname}
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

%package -n %develname
Summary:	Development tools for programs which will use the %{name} library
Group:		Development/C
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release
Obsoletes:	%mklibname -d dvdcss 2
 
%description -n %develname
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/*.so.%{major}*

%files -n %develname
%doc ChangeLog COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%_libdir/pkgconfig/*.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12-2.mga3
+ Revision: 357028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean specfile

* Tue Mar 20 2012 luigiwalser <luigiwalser> 1.2.12-1.mga2.tainted
+ Revision: 225009
- 1.2.12

* Fri Dec 30 2011 supp <supp> 1.2.11-1.mga2.tainted
+ Revision: 188880
- update to 1.2.11

* Sat Mar 05 2011 tux99 <tux99> 1.2.10-3.mga1
+ Revision: 64927
- incremented release number to enable update from plf

* Sat Mar 05 2011 tux99 <tux99> 1.2.10-2.mga1
+ Revision: 64919
- cleaned up summary and description
- removed obsolete conflicts, defines and post/postun scripts
- imported package libdvdcss

